        .text
	.globl incrementSequence
	.globl _incrementSequence
#define INCRAX \
	inc %rax;
#define QUAD(x) \
	x \
	x \
	x \
	x
incrementSequence:
_incrementSequence:
	movq %rdi,%rcx
	xor %rax,%rax
.loop:
	QUAD(QUAD(INCRAX))
	QUAD(QUAD(INCRAX))
	loop .loop
	ret

